## cde-2.5.3.tar.gz

=== programs/dthelp/help4help/Makefile ===
# $XConsortium: Makefile /main/2 1996/05/13 11:32:08 drk $
# ###############################################
#  Makefile for building the Help4Help volume
#
#  (c) Copyright 1993, 1994 Hewlett-Packard Company	
#  (c) Copyright 1993, 1994 International Business Machines Corp.
#  (c) Copyright 1993, 1994 Sun Microsystems, Inc.
#  (c) Copyright 1993, 1994 Unix System Labs, Inc., a subsidiary of
#      Novell, Inc.
#
# ###############################################

HELPSRC = Help4Help.htg
HELPVOL = Help4Help.sdl
HELPCHARSET = iso8859.1

all: $(HELPVOL)

$(HELPVOL): $(HELPSRC)
	dthelptag $(HELPSRC)
#	dthelptag -verbose -charset $(HELPCHARSET) $(HELPSRC)

clean: 
	dthelptag -clean $(HELPSRC)

=== lib/tt/demo/edit_demo/Makefile ===
# $XConsortium: Makefile /main/6 1996/05/13 12:04:04 drk $
# %%  (c) Copyright 1993, 1994 Hewlett-Packard Company			
# %%  (c) Copyright 1993, 1994 International Business Machines Corp.	
# %%  (c) Copyright 1993, 1994, 1995 Sun Microsystems, Inc.
# %%  (c) Copyright 1993, 1994 Novell, Inc. 				

OPENWINHOME=/usr/openwin
MOTIFHOME=/usr/dt

CFLAGS += -g
CPPFLAGS += -I$(MOTIFHOME)/include -I$(OPENWINHOME)/include
LDFLAGS += -L$(MOTIFHOME)/lib -L$(OPENWINHOME)/lib 
LDLIBS += -lXm -lXt -ltt -lX11 -lgen

.KEEP_STATE:

Sun_EditDemo: cntl edit edit.types

edit:
	LD_RUN_PATH=$(MOTIFHOME)/lib:$(OPENWINHOME)/lib $(LINK.c) -o $@ edit.c $(LDLIBS)
cntl:
	LD_RUN_PATH=$(MOTIFHOME)/lib:$(OPENWINHOME)/lib $(LINK.c) -o $@ cntl.c $(LDLIBS)

edit.types: edit.types.model
	tt_type_comp '-DTOOLTALK_DEMO_DIR=\"`pwd`\"' edit.types.model
	@echo ToolTalk types installed for Sun_EditDemo.
	@echo Remember to \"kill -USR2\" the ttsession process so the new
	@echo types will be active.

clean:
	rm -f cntl edit core edit.types

FRC:

=== lib/tt/demo/ttsample/Makefile ===
# $XConsortium: Makefile /main/6 1996/05/13 12:04:22 drk $
# %%  (c) Copyright 1993, 1994 Hewlett-Packard Company			
# %%  (c) Copyright 1993, 1994 International Business Machines Corp.	
# %%  (c) Copyright 1993, 1994, 1995 Sun Microsystems, Inc.		
# %%  (c) Copyright 1993, 1994 Novell, Inc. 				

OPENWINHOME=/usr/openwin
MOTIFHOME=/usr/dt

CFLAGS += -g
CPPFLAGS += -I$(MOTIFHOME)/include -I$(OPENWINHOME)/include
LDFLAGS += -L$(MOTIFHOME)/lib -L$(OPENWINHOME)/lib
LDLIBS += -lXm -lXt -ltt -lX11 -lgen

.KEEP_STATE:

ttsample1:
	LD_RUN_PATH=$(MOTIFHOME)/lib:$(OPENWINHOME)/lib $(LINK.c) -o $@ ttsample1.c $(LDLIBS)

clean:
	rm -f ttsample1

FRC:

=== programs/dthelp/dthelpdemo/help/Makefile ===
# $XConsortium: Makefile /main/2 1996/05/13 11:31:48 drk $
# ###############################################
#  Makefile for building the Help demo volume
#
#  (c) Copyright 1993, 1994 Hewlett-Packard Company	
#  (c) Copyright 1993, 1994 International Business Machines Corp.
#  (c) Copyright 1993, 1994 Sun Microsystems, Inc.
#  (c) Copyright 1993, 1994 Unix System Labs, Inc., a subsidiary of
#      Novell, Inc.
#
# ###############################################

HELPSRC = helpdemo.htg
HELPVOL = helpdemo.sdl
HELPCHARSET = iso8859.1

all: $(HELPVOL)

$(HELPVOL): $(HELPSRC)
	dthelptag $(HELPSRC)
#	dthelptag -verbose -charset $(HELPCHARSET) $(HELPSRC)

clean: 
	dthelptag -clean $(HELPSRC)

=== debian/changelog ===
cde-desktop (2.3.0-1) UNRELEASED; urgency=medium

  * Initial release (Closes: #689098)

 -- TheSelousScout <nicetrynsa@protonmail.ch>  Tue, 10 Apr 2018 22:23:02 -0700

=== debian/control ===
Source: cde-desktop
Section: x11
Priority: optional
Maintainer: TheSelousScout <nicetrynsa@protonmail.ch>
Build-Depends: debhelper (>= 10),
               automake,
               libxt-dev,
               libxmu-dev,
               libxinerama-dev,
               libxpm-dev,
               libmrm4,
               libmotif-dev,
               libxaw7-dev,
               libx11-dev,
               libxss-dev,
               libtirpc-dev,
               libutempter-dev,
               libpam-dev,
               x11-xserver-utils,
               libjpeg62-dev,
               libssl-dev,
               tcl-dev,
               ksh,
               m4,
               ncompress,
               xfonts-100dpi,
               xfonts-100dpi-transcoded,
               rpcbind,
               bison,
               libbison-dev,
               xbitmaps
Standards-Version: 4.1.2
Homepage: https://sourceforge.net/projects/cdesktopenv/
#Vcs-Git: https://anonscm.debian.org/git/collab-maint/cde-desktop.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cde-desktop.git

Package: cde-desktop
Architecture: any
Depends: libxt6,
         libxmu6,
         libxinerama1,
         libxpm4,
         libmrm4,
         libxaw7,
         libx11-6,
         libxss1,
         libtirpc1,
         libutempter,
         libpam,
         x11-xserver-utils,
         libjpeg62,
         libuil4,
         tcl,
         ksh,
         m4,
         ncompress,
         rpcbind,
         bison,
         xbitmaps,
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: xfonts-100dpi,
            xfonts-100dpi-transcoded
Description: CDE - Common Desktop Environment
 The Common Desktop Environment, the classic UNIX desktop. The Common Desktop
 Environment was created by a collaboration of Sun, HP, IBM, DEC, SCO, Fujitsu
 and Hitachi. Used on a selection of commercial UNIXs, it is now available as
 open-source software.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@

#make clean cleans everything except the doc directory for some reason
override_dh_auto_clean:
	$(MAKE) clean
	$(MAKE) clean.doc

#make World needs to be called, not just make
override_dh_auto_build:
	$(MAKE) World

#make install is broken, so we use the install script instead
override_dh_auto_install:
	sudo ./admin/IntegTools/dbTools/installCDE -s . -destDir \
	./debian/cde-desktop

=== debian/watch ===
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"

# SourceForge hosted projects
http://sf.net/cdesktopenv/ cde-(.*)\.tar\.gz debian uupdate
